Bug 1595024 (CVE-2018-12359) - CVE-2018-12359 Mozilla: Buffer overflow using computed size of canvas element
Summary: CVE-2018-12359 Mozilla: Buffer overflow using computed size of canvas element
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-12359
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20180626,repor...
Depends On: 1590694 1590696 1590697 1598644 1598645 1598646 1607204
Blocks: 1590698
TreeView+ depends on / blocked
 
Reported: 2018-06-26 01:51 UTC by Doran Moppert
Modified: 2019-06-10 10:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:30:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2112 None None None 2018-06-28 16:18:29 UTC
Red Hat Product Errata RHSA-2018:2113 None None None 2018-06-28 16:19:53 UTC
Red Hat Product Errata RHSA-2018:2251 None None None 2018-07-24 21:34:32 UTC
Red Hat Product Errata RHSA-2018:2252 None None None 2018-07-24 21:33:52 UTC

Description Doran Moppert 2018-06-26 01:51:26 UTC
A buffer overflow can occur when rendering canvas content while adjusting the height and width of the `<canvas>` element dynamically, causing data to be written outside of the currently computed boundaries. This results in a potentially exploitable crash.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-16/#CVE-2018-12359

Comment 1 Doran Moppert 2018-06-26 01:51:31 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Nils

Comment 5 errata-xmlrpc 2018-06-28 16:18:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2112 https://access.redhat.com/errata/RHSA-2018:2112

Comment 6 errata-xmlrpc 2018-06-28 16:19:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2113 https://access.redhat.com/errata/RHSA-2018:2113

Comment 9 errata-xmlrpc 2018-07-24 21:33:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2252 https://access.redhat.com/errata/RHSA-2018:2252

Comment 10 errata-xmlrpc 2018-07-24 21:34:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2251 https://access.redhat.com/errata/RHSA-2018:2251


Note You need to log in before you can comment on or make changes to this bug.